#include <iostream>
#include <vector>
#include <string>
#include <hist_proc.h>
#include "histogram.h"
#include <text.h>
#include <svg.h>
#include <curl/curl.h>


using namespace std;


struct Input {
    vector<double> numbers;
    size_t bin_count{};
    size_t number_count{};
};



Input
input_data(istream& in, bool prompt) {
    if (prompt == true) {
    size_t number_count;
    cerr << "amount of numbers";
    in >> number_count;
    Input inn;
    inn.numbers.resize(number_count);
    vector<double> numbers(number_count);
    cerr << "input numbers";
    for (size_t i = 0; i < number_count; i++) {
        in >> inn.numbers[i];
    }

size_t bin_count;
cerr << "amount of baskets";
in >> inn.bin_count;
return inn;
    }

    else if (prompt == false) {
    size_t number_count;
    cout << "amount of numbers";
    in >> number_count;
    Input inn;
    inn.numbers.resize(number_count);
    vector<double> numbers(number_count);
    cout << "input numbers";
    for (size_t i = 0; i < number_count; i++) {
        in >> inn.numbers[i];
    }

size_t bin_count;
cout << "input baskets";
in >> inn.bin_count;
return inn;
    }
}




int main()
{
    curl_global_init(CURL_GLOBAL_ALL);
    bool flag;
    bool prompt;
    prompt = true;
    auto inn = input_data(cin, prompt);
    auto bins = make_histogram(inn.numbers, inn.bin_count, flag);
    auto procent = make_histogram_proc(inn.numbers, inn.bin_count, bins);
    show_histogram_svg(bins, procent);

    return 0;
}
